Skip to main content
`Ctrl`+`K`

# MatCoarsen

Object for managing the coarsening of a graph (symmetric matrix)

## Synopsis

    typedef struct _p_MatCoarsen *MatCoarsen;

## Note

This is used by the `PCGAMG` to generate coarser representations of an algebraic problem

## See Also

Matrices, Graph Operations, `Mat`, `MatCoarsenCreate()`, `MatCoarsenType`, `MatColoringType`, `MatPartitioningType`, `MatOrderingType` `MatColoring`, `MatPartitioning`

## Level

advanced

## Location

include/petscmatcoarsen.h

## Implementations

_p_MatCoarsen in include/petsc/private/matimpl.h

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages